import { Matrix4, Vector3 } from "three";
import { Positioning2Point } from "../../DatabaseServices/Template/Positioning/Positioning2Point";
import { PromptDistendResult } from "../../Editor/PromptResult";
import { ISpaceParse } from "./ISpaceParse";
export declare class Point2SpaceParse extends ISpaceParse {
    positioning2Point: Positioning2Point;
    Parse(): Promise<void>;
}
/**
 * @param p1UCS 绘制前视图坐标系 按2点空间UCS来搞
 * @param p2UCS
 * @param UCSMatrix
 * @param lastDepth
 * @param autoParseDepth //是否解析深度
 */
export declare function GetSpaceDepth(p1UCS: Vector3, p2UCS: Vector3, UCSMatrix: Matrix4, lastDepth: number, autoParseDepth: boolean): Promise<number | PromptDistendResult>;
//# sourceMappingURL=Point2SpaceParse.d.ts.map